//
//  BoosterSubscriptionOptionsView.swift
//
//
//  Created by Victor on 19/06/2024.
//

import SwiftUI

struct BoosterSubscriptionOptionsView: View {
    
    var body: some View {
        VStack {
            HStack {
                SQText("Booster", size: 18, font: .bold)
                Spacer()
                SQIcon(.xmark, color: .white)
            }
            .padding(8)
            Divider()
            VStack {
                NavigationLink {
                    BoosterSubscriptionSelectionScreen()
                } label: {
                    HStack {
                        SQText("Modifier l’option Booster")
                        Spacer()
                        SQIcon(.chevron_right)
                    }
                    .padding(8)
                }
                Divider()
                HStack {
                    SQText("Résilier l’option Booster")
                    Spacer()
                    SQIcon(.chevron_right)
                }
                .padding([.leading, .trailing, .top], 8)
                .padding(.bottom, 16)
            }
        }
    }
}

#Preview {
    BoosterSubscriptionManagementScreen()
}
